<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionActionEnterFlagMenu Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d7d/a03625.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionActionEnterFlagMenu Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><br  />
  
 <a href="../../dc/d7d/a03625.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionActionEnterFlagMenu:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dc/d7d/a03625.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ad487c89f9dca35eb0f269ce341357293"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d7d/a03625.html#ad487c89f9dca35eb0f269ce341357293">ExpansionActionEnterFlagMenu</a> ()</td></tr>
<tr class="separator:ad487c89f9dca35eb0f269ce341357293"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad55b25fbe1e1818656e5a9d6a4137271"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d7d/a03625.html#ad55b25fbe1e1818656e5a9d6a4137271">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:ad55b25fbe1e1818656e5a9d6a4137271"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cf999e29ed36a5de427b9ff65f4eec0"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d7d/a03625.html#a7cf999e29ed36a5de427b9ff65f4eec0">GetText</a> ()</td></tr>
<tr class="separator:a7cf999e29ed36a5de427b9ff65f4eec0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24782efe7cabd1f27334a89b3dc469e0"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d7d/a03625.html#a24782efe7cabd1f27334a89b3dc469e0">IsInstant</a> ()</td></tr>
<tr class="separator:a24782efe7cabd1f27334a89b3dc469e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4207ee9d332da45ef3329b0fd3ddb46"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d7d/a03625.html#ae4207ee9d332da45ef3329b0fd3ddb46">ActionCondition</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="el" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="el" href="../../d1/df9/a03665.html">ItemBase</a> item)</td></tr>
<tr class="separator:ae4207ee9d332da45ef3329b0fd3ddb46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7521df59b31eb0927a2c361d37aca91c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d7d/a03625.html#a7521df59b31eb0927a2c361d37aca91c">OnStartClient</a> (ActionData action_data)</td></tr>
<tr class="separator:a7521df59b31eb0927a2c361d37aca91c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad955a4313e417a8b23be5cf57f6f43c2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d7d/a03625.html#ad955a4313e417a8b23be5cf57f6f43c2">OnStartServer</a> (ActionData action_data)</td></tr>
<tr class="separator:ad955a4313e417a8b23be5cf57f6f43c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aa6862af1e5c0ad7e57f80fde158ffc6e"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../da/da5/a03465.html">ExpansionTerritoryModule</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d7d/a03625.html#aa6862af1e5c0ad7e57f80fde158ffc6e">m_TerritoryModule</a></td></tr>
<tr class="separator:aa6862af1e5c0ad7e57f80fde158ffc6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb4cb8d0792272263f59645af489b405"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d7d/a03625.html#abb4cb8d0792272263f59645af489b405">m_ActionCreate</a></td></tr>
<tr class="separator:abb4cb8d0792272263f59645af489b405"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><br  />
 </p>
<p ><a class="el" href="../../d7/d03/a00254.html">ExpansionActionEnterFlagMenu.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d03/a00254_source.html#l00016">16</a> of file <a class="el" href="../../d7/d03/a00254_source.html">expansionactionenterflagmenu.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad487c89f9dca35eb0f269ce341357293" name="ad487c89f9dca35eb0f269ce341357293"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad487c89f9dca35eb0f269ce341357293">&#9670;&#160;</a></span>ExpansionActionEnterFlagMenu()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionActionEnterFlagMenu::ExpansionActionEnterFlagMenu </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d03/a00254_source.html#l00024">24</a> of file <a class="el" href="../../d7/d03/a00254_source.html">expansionactionenterflagmenu.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae4207ee9d332da45ef3329b0fd3ddb46" name="ae4207ee9d332da45ef3329b0fd3ddb46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4207ee9d332da45ef3329b0fd3ddb46">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionEnterFlagMenu::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d6d/a04713.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/df9/a03665.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Is this a new flag ?</p>
<p >Is the flag fully construced ?</p>
<p >Is flag already a territory flag?</p>
<p >Is he in a territory ?</p>
<p >show the prompt only if it's his territory</p>
<p >Even if a user can place a flag, he can't create a territory if the limit is reached</p>
<p >Show the prompt</p>
<p >Is the player outside of any potential territories and their perimeters ?</p>
<p >Add the create territory action</p>
<p >Is the player the owner of the nearest Territory and inside it ?</p>
<p >Is the player the owner of the nearest Territory but in his perimeter ?</p>
<p >Add the create territory action</p>

<p class="definition">Definition at line <a class="el" href="../../d7/d03/a00254_source.html#l00076">76</a> of file <a class="el" href="../../d7/d03/a00254_source.html">expansionactionenterflagmenu.c</a>.</p>

</div>
</div>
<a id="ad55b25fbe1e1818656e5a9d6a4137271" name="ad55b25fbe1e1818656e5a9d6a4137271"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad55b25fbe1e1818656e5a9d6a4137271">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionEnterFlagMenu::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d03/a00254_source.html#l00044">44</a> of file <a class="el" href="../../d7/d03/a00254_source.html">expansionactionenterflagmenu.c</a>.</p>

</div>
</div>
<a id="a7cf999e29ed36a5de427b9ff65f4eec0" name="a7cf999e29ed36a5de427b9ff65f4eec0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cf999e29ed36a5de427b9ff65f4eec0">&#9670;&#160;</a></span>GetText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionActionEnterFlagMenu::GetText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d03/a00254_source.html#l00053">53</a> of file <a class="el" href="../../d7/d03/a00254_source.html">expansionactionenterflagmenu.c</a>.</p>

</div>
</div>
<a id="a24782efe7cabd1f27334a89b3dc469e0" name="a24782efe7cabd1f27334a89b3dc469e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24782efe7cabd1f27334a89b3dc469e0">&#9670;&#160;</a></span>IsInstant()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionEnterFlagMenu::IsInstant </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d03/a00254_source.html#l00068">68</a> of file <a class="el" href="../../d7/d03/a00254_source.html">expansionactionenterflagmenu.c</a>.</p>

</div>
</div>
<a id="a7521df59b31eb0927a2c361d37aca91c" name="a7521df59b31eb0927a2c361d37aca91c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7521df59b31eb0927a2c361d37aca91c">&#9670;&#160;</a></span>OnStartClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionEnterFlagMenu::OnStartClient </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d03/a00254_source.html#l00188">188</a> of file <a class="el" href="../../d7/d03/a00254_source.html">expansionactionenterflagmenu.c</a>.</p>

</div>
</div>
<a id="ad955a4313e417a8b23be5cf57f6f43c2" name="ad955a4313e417a8b23be5cf57f6f43c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad955a4313e417a8b23be5cf57f6f43c2">&#9670;&#160;</a></span>OnStartServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionEnterFlagMenu::OnStartServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d03/a00254_source.html#l00208">208</a> of file <a class="el" href="../../d7/d03/a00254_source.html">expansionactionenterflagmenu.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="abb4cb8d0792272263f59645af489b405" name="abb4cb8d0792272263f59645af489b405"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb4cb8d0792272263f59645af489b405">&#9670;&#160;</a></span>m_ActionCreate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionActionEnterFlagMenu::m_ActionCreate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d03/a00254_source.html#l00019">19</a> of file <a class="el" href="../../d7/d03/a00254_source.html">expansionactionenterflagmenu.c</a>.</p>

</div>
</div>
<a id="aa6862af1e5c0ad7e57f80fde158ffc6e" name="aa6862af1e5c0ad7e57f80fde158ffc6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6862af1e5c0ad7e57f80fde158ffc6e">&#9670;&#160;</a></span>m_TerritoryModule</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../da/da5/a03465.html">ExpansionTerritoryModule</a> ExpansionActionEnterFlagMenu::m_TerritoryModule</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d03/a00254_source.html#l00018">18</a> of file <a class="el" href="../../d7/d03/a00254_source.html">expansionactionenterflagmenu.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/useractionscomponent/actions/interact/<a class="el" href="../../d7/d03/a00254_source.html">expansionactionenterflagmenu.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/d7d/a03625.html">ExpansionActionEnterFlagMenu</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
